commit b11f53a91238a0ac5499862a3e7e127f02bff81e
Author: Andre Vieira <andre.simoesdiasvieira@arm.com>
Date:   Mon Dec 2 13:35:03 2024 +0000

    arm, mve: Adding missing Runtime Library Exception to header files
    
    Add missing Runtime Library Exception to mve header files to bring them into
    line with other similar headers. Not adding it in the first place was an
    oversight.
    
    gcc/ChangeLog:
    
            * config/arm/arm_mve.h: Add Runtime Library Exception.
            * config/arm/arm_mve_types.h: Likewise.
    
    (cherry picked from commit cde7ce0628f66a5d03cc97c70d4695e6f2acd4db)

diff --git a/gcc/config/arm/arm_mve.h b/gcc/config/arm/arm_mve.h
index ae1b5438797..7325b71cff7 100644
--- a/gcc/config/arm/arm_mve.h
+++ b/gcc/config/arm/arm_mve.h
@@ -15,6 +15,10 @@
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.
 
+   Under Section 7 of GPL version 3, you are granted additional
+   permissions described in the GCC Runtime Library Exception, version
+   3.1, as published by the Free Software Foundation.
+
    You should have received a copy of the GNU General Public License
    along with GCC; see the file COPYING3.  If not see
    <http://www.gnu.org/licenses/>.  */
diff --git a/gcc/config/arm/arm_mve_types.h b/gcc/config/arm/arm_mve_types.h
index f549f881b49..7771435f1d7 100644
--- a/gcc/config/arm/arm_mve_types.h
+++ b/gcc/config/arm/arm_mve_types.h
@@ -15,6 +15,10 @@
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.
 
+   Under Section 7 of GPL version 3, you are granted additional
+   permissions described in the GCC Runtime Library Exception, version
+   3.1, as published by the Free Software Foundation.
+
    You should have received a copy of the GNU General Public License
    along with GCC; see the file COPYING3.  If not see
    <http://www.gnu.org/licenses/>.  */

